Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.database
Class RobustConnection

    java.lang.Object
      edu.stanford.smi.protege.storage.database.RobustConnection

    public class RobustConnection

extends Object

Field Summary
`static int` | `DEFAULT_MAX_STRING_SIZE`
`static String` | `OLD_PROPERTY_LONGVARCHAR_TYPE_NAME`
`static String` | `PROPERTY_BIT_TYPE_NAME`
`static String` | `PROPERTY_FRAME_NAME_TYPE_NAME`
`static String` | `PROPERTY_INTEGER_TYPE_NAME`
`static String` | `PROPERTY_LONGVARCHAR_TYPE_NAME`
`static String` | `PROPERTY_REFRESH_CONNECTIONS_TIME`
`static String` | `PROPERTY_SHORT_VALUE_TYPE_NAME`
`static String` | `PROPERTY_SMALL_INTEGER_TYPE_NAME`
`static String` | `PROPERTY_VARCHAR_TYPE_SIZE`

Constructor Summary
`RobustConnection(String driver, String url, String username, String password, TransactionMonitor transactionMonitor, RemoteSession session)`

Method Summary
`boolean` | `beginTransaction()`
`void` | `checkConnection()`
`void` | `closeStatements()`
`void` | `commit()`
`boolean` | `commitTransaction()`
`void` | `dispose()`
`String` | `getBitTypeName()`
`int` | `getDatabaseMajorVersion()`
`int` | `getDatabaseMinorVersion()`
`String` | `getDatabaseProductName()`
`char` | `getEscapeCharacter()`
`String` | `getEscapeClause()`
`String` | `getFrameNameType()`
`String` | `getIntegerTypeName()`
`KnownDatabase` | `getKnownDatabaseType()`
`String` | `getLongvarcharTypeName()`
`int` | `getMaxVarcharSize()`
`PreparedStatement` | `getPreparedStatement(String text)`
`String` | `getShortValueType()`
`String` | `getSmallIntTypeName()`
`Statement` | `getStatement()`
`int` | `getTransactionIsolationLevel()`
`boolean` | `isMsAccess()`
`boolean` | `isMySql()`
`boolean` | `isOracle()`
`boolean` | `isPostgres()`
`boolean` | `isSqlServer()`
`static void` | `main(String[] args)`
`boolean` | `refreshConnection()` Refresh the activity monitor on a connection (useful to avoid connection reaping).
`boolean` | `rollbackTransaction()`
`void` | `setAutoCommit(boolean b)`
`void` | `setTransactionIsolationLevel(int level)`
`boolean` | `supportsBatch()`
`boolean` | `supportsCaseInsensitiveMatches()`
`boolean` | `supportsIndexOnFunction()`
`boolean` | `supportsTransactions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OLD_PROPERTY_LONGVARCHAR_TYPE_NAME

    public static final String OLD_PROPERTY_LONGVARCHAR_TYPE_NAME

See Also:
  Constant Field Values

### PROPERTY_REFRESH_CONNECTIONS_TIME

    public static final String PROPERTY_REFRESH_CONNECTIONS_TIME

See Also:
  Constant Field Values

### PROPERTY_LONGVARCHAR_TYPE_NAME

    public static final String PROPERTY_LONGVARCHAR_TYPE_NAME

See Also:
  Constant Field Values

### PROPERTY_FRAME_NAME_TYPE_NAME

    public static final String PROPERTY_FRAME_NAME_TYPE_NAME

See Also:
  Constant Field Values

### PROPERTY_SHORT_VALUE_TYPE_NAME

    public static final String PROPERTY_SHORT_VALUE_TYPE_NAME

See Also:
  Constant Field Values

### PROPERTY_VARCHAR_TYPE_SIZE

    public static final String PROPERTY_VARCHAR_TYPE_SIZE

See Also:
  Constant Field Values

### DEFAULT_MAX_STRING_SIZE

    public static final int DEFAULT_MAX_STRING_SIZE

See Also:
  Constant Field Values

### PROPERTY_INTEGER_TYPE_NAME

    public static final String PROPERTY_INTEGER_TYPE_NAME

See Also:
  Constant Field Values

### PROPERTY_SMALL_INTEGER_TYPE_NAME

    public static final String PROPERTY_SMALL_INTEGER_TYPE_NAME

See Also:
  Constant Field Values

### PROPERTY_BIT_TYPE_NAME

    public static final String PROPERTY_BIT_TYPE_NAME

See Also:
  Constant Field Values

Constructor Detail

### RobustConnection

    public RobustConnection(String driver,
                            String url,
                            String username,
                            String password,
                            TransactionMonitor transactionMonitor,
                            RemoteSession session)
                     throws SQLException

Throws:
  `SQLException`

Method Detail

### setAutoCommit

    public void setAutoCommit(boolean b)
                       throws SQLException

  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Throws:
    `SQLException`

### dispose

    public void dispose()
                 throws SQLException

  Throws:
    `SQLException`

### closeStatements

    public void closeStatements()
                         throws SQLException

  Throws:
    `SQLException`

### getEscapeCharacter

    public char getEscapeCharacter()

### getEscapeClause

    public String getEscapeClause()

### supportsBatch

    public boolean supportsBatch()

### getPreparedStatement

    public PreparedStatement getPreparedStatement(String text)
                                           throws SQLException

  Throws:
    `SQLException`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Throws:
    `SQLException`

### checkConnection

    public void checkConnection()
                         throws SQLException

  Throws:
    `SQLException`

### getKnownDatabaseType

    public KnownDatabase getKnownDatabaseType()

### isOracle

    public boolean isOracle()
                     throws SQLException

  Throws:
    `SQLException`

### isSqlServer

    public boolean isSqlServer()
                        throws SQLException

  Throws:
    `SQLException`

### isMsAccess

    public boolean isMsAccess()
                       throws SQLException

  Throws:
    `SQLException`

### isMySql

    public boolean isMySql()
                    throws SQLException

  Throws:
    `SQLException`

### isPostgres

    public boolean isPostgres()
                       throws SQLException

  Throws:
    `SQLException`

### getDatabaseProductName

    public String getDatabaseProductName()
                                  throws SQLException

  Throws:
    `SQLException`

### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()
                                throws SQLException

  Throws:
    `SQLException`

### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()
                                throws SQLException

  Throws:
    `SQLException`

### getBitTypeName

    public String getBitTypeName()

### getSmallIntTypeName

    public String getSmallIntTypeName()

### getIntegerTypeName

    public String getIntegerTypeName()

### getFrameNameType

    public String getFrameNameType()

### getShortValueType

    public String getShortValueType()

### getMaxVarcharSize

    public int getMaxVarcharSize()

### getLongvarcharTypeName

    public String getLongvarcharTypeName()

### supportsCaseInsensitiveMatches

    public boolean supportsCaseInsensitiveMatches()
                                           throws SQLException

  Throws:
    `SQLException`

### supportsIndexOnFunction

    public boolean supportsIndexOnFunction()
                                    throws SQLException

  Throws:
    `SQLException`

### beginTransaction

    public boolean beginTransaction()

### commitTransaction

    public boolean commitTransaction()

### refreshConnection

    public boolean refreshConnection()

  Refresh the activity monitor on a connection (useful to avoid connection reaping).

  Returns:
    `false` if connection is not established, is closed, or SQLException occurs `true` otherwise

### rollbackTransaction

    public boolean rollbackTransaction()

### supportsTransactions

    public boolean supportsTransactions()

### getTransactionIsolationLevel

    public int getTransactionIsolationLevel()
                                     throws SQLException

  Throws:
    `SQLException`

### setTransactionIsolationLevel

    public void setTransactionIsolationLevel(int level)
                                      throws SQLException

  Throws:
    `SQLException`

### main

    public static void main(String[] args)
                     throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.